Subject: Re: Data corruption issue with splice() on 2.6.27.10

From: Evgeniy Polyakov <[email-masked]>
Date: Wed, 7 Jan 2009 14:56:05 +0300

On Wed, Jan 07, 2009 at 10:50:32PM +1100, Herbert Xu ([email-masked]) wrote:
> > That would not happen without scatter-gather support on the interface,
> > date would be plain copied, and after Jarek's requst Willy confirmed
> > that corruption happens with all acceleration being turned off.
> 
> It will happen without scatter-gather support.  The problem
> is with skb->head, which is always there.  In any case, SG can't
> make any difference because the skb is an inbound one and most
> drivers only produce linear packets.

But it will not push pages into the stack, but copy them including copy
of the submitted head?

-- 
	Evgeniy Polyakov